(define (host) "i586-pld-linux-gnu")

(define (machine-vendor-os)
  (let ((match (regexp-search (rx (submatch (+ (~ #\-))) "-"
                                  (submatch (+ (~ #\-))) "-"
                                  (submatch (+ any)))
                              (host))))
    (list (match:substring match 1)
          (match:substring match 2)
          (match:substring match 3))))

(define (machine)
  (car (machine-vendor-os)))

(define (vendor)
  (cadr (machine-vendor-os)))

(define (os)
  (caddr (machine-vendor-os)))

(define (prefix) "/usr")

(define (exec-prefix) "/usr")

(define (bin-dir) "/bin")

(define (lib-dir) "/usr/lib")

(define (include-dir) "/usr/include")

(define (man-dir) "/usr/share/man/man1")

(define (lib-dirs-list) (quote ("/usr/lib/scsh/modules")))

(define (libs) "-lcrypt -ldl -lm -lc")

(define (defs) "-DHAVE_CONFIG_H")

(define (cflags) "-O2 -march=i586")

(define (cppflags) "")

(define (ldflags) "-rdynamic")

(define (compiler-flags)
  (string-join (list "-I" (include-dir) (defs))))

(define (linker-flags)
  (string-join (list "-L" (lib-dir) (libs) "-lscsh") " "))

;;; Local Variables: 
;;; mode: Scheme
;;; End: 
